## suil 0.4.2

=== wscript ===
#!/usr/bin/env python
import os
import subprocess
import sys

from waflib.extras import autowaf as autowaf
import waflib.Logs as Logs, waflib.Options as Options

# Version of this package (even if built as a child)
SUIL_VERSION       = '0.4.2'
SUIL_MAJOR_VERSION = '0'

# Library version (UNIX style major, minor, micro)
# major increment <=> incompatible changes
# minor increment <=> compatible changes (additions)
# micro increment <=> no interface changes
# Suil uses the same version number for both library and package
SUIL_LIB_VERSION = SUIL_VERSION

# Variables for 'waf dist'
APPNAME = 'suil'
VERSION = SUIL_VERSION

# Mandatory variables
top = '.'
out = 'build'

def options(opt):
    autowaf.set_options(opt)

def configure(conf):
    conf.line_just = 56
    autowaf.configure(conf)
    autowaf.display_header('Suil Configuration')

    conf.load('compiler_cc')
    conf.env.append_value('CFLAGS', '-std=c99')

    autowaf.check_header(conf, 'lv2/lv2plug.in/ns/extensions/ui/ui.h')

    autowaf.check_pkg(conf, 'gtk+-2.0', uselib_store='GTK2',
                      atleast_version='2.18.0', mandatory=False)
    if not conf.env['HAVE_GTK2']:
        autowaf.check_pkg(conf, 'gtk+-2.0', uselib_store='GTK2',
                          atleast_version='2.0.0', mandatory=False)
        if conf.env['HAVE_GTK']:
            autowaf.define('SUIL_OLD_GTK', 1)

    autowaf.check_pkg(conf, 'QtGui', uselib_store='QT4',
                      atleast_version='4.0.0', mandatory=False)

    autowaf.define(conf, 'SUIL_VERSION', SUIL_VERSION)
    autowaf.define(conf, 'SUIL_MODULE_DIR',
                   conf.env['LIBDIR'] + '/suil-' + SUIL_MAJOR_VERSION)
    autowaf.define(conf, 'SUIL_DIR_SEP', '/')
    autowaf.define(conf, 'SUIL_MODULE_EXT', '.so')

    conf.env['LIB_SUIL'] = ['suil-%s' % SUIL_MAJOR_VERSION]

    conf.write_config_header('suil-config.h', remove=False)

    autowaf.display_msg(conf, "Gtk2 Support", conf.is_defined('HAVE_GTK2'))
    autowaf.display_msg(conf, "Qt4 Support", conf.is_defined('HAVE_QT4'))
    print('')

def build(bld):
    # C Headers
    includedir = '${INCLUDEDIR}/suil-%s/suil' % SUIL_MAJOR_VERSION
    bld.install_files(includedir, bld.path.ant_glob('suil/*.h'))

    # Pkgconfig file
    autowaf.build_pc(bld, 'SUIL', SUIL_VERSION, SUIL_MAJOR_VERSION, [],
                     {'SUIL_MAJOR_VERSION' : SUIL_MAJOR_VERSION})

    cflags    = [ '-DSUIL_SHARED',
                  '-DSUIL_INTERNAL' ]
    linkflags = []
    if sys.platform != 'win32':
        cflags    += [ '-fvisibility=hidden' ]
        linkflags += [ '-ldl' ]

    module_dir = '${LIBDIR}/suil-' + SUIL_MAJOR_VERSION

    # Library
    obj = bld(features        = 'c cshlib',
              export_includes = ['.'],
              source          = 'src/host.c src/instance.c',
              target          = 'suil-%s' % SUIL_MAJOR_VERSION,
              includes        = ['.'],
              name            = 'libsuil',
              vnum            = SUIL_LIB_VERSION,
              install_path    = '${LIBDIR}',
              cflags          = cflags,
              linkflags       = linkflags)

    if bld.is_defined('HAVE_GTK2') and bld.is_defined('HAVE_QT4'):
        obj = bld(features     = 'cxx cxxshlib',
                  source       = 'src/gtk2_in_qt4.cpp',
                  target       = 'suil_gtk2_in_qt4',
                  includes     = ['.'],
                  install_path = module_dir,
                  cflags       = cflags)
        autowaf.use_lib(bld, obj, 'GTK2 QT4')

        obj = bld(features     = 'cxx cxxshlib',
                  source       = 'src/qt4_in_gtk2.cpp',
                  target       = 'suil_qt4_in_gtk2',
                  includes     = ['.'],
                  install_path = module_dir,
                  cflags       = cflags)
        autowaf.use_lib(bld, obj, 'GTK2 QT4')

    # Documentation
    autowaf.build_dox(bld, 'SUIL', SUIL_VERSION, top, out)

    bld.add_post_fun(autowaf.run_ldconfig)
    if bld.env['DOCS']:
        bld.add_post_fun(fix_docs)

def build_dir(ctx, subdir):
    if autowaf.is_child():
        return os.path.join('build', APPNAME, subdir)
    else:
        return os.path.join('build', subdir)

def fix_docs(ctx):
    try:
        top = os.getcwd()
        os.chdir(build_dir(ctx, 'doc/html'))
        os.system("sed -i 's/SUIL_API //' group__suil.html")
        os.system("sed -i 's/SUIL_DEPRECATED //' group__suil.html")
        os.remove('index.html')
        os.symlink('group__suil.html',
                   'index.html')
        os.chdir(top)
        os.chdir(build_dir(ctx, 'doc/man/man3'))
        os.system("sed -i 's/SUIL_API //' suil.3")
        os.chdir(top)
    except:
        Logs.error("Failed to fix up %s documentation" % APPNAME)

def upload_docs(ctx):
    os.system("rsync -ravz --delete -e ssh build/doc/html/ drobilla@drobilla.net:~/drobilla.net/docs/suil/")

def lint(ctx):
    subprocess.call('cpplint.py --filter=-whitespace,+whitespace/comments,-build/header_guard,-readability/casting,-readability/todo src/* suil/*', shell=True)

## suil 0.4.4

=== wscript ===
--- 
+++ 
@@ -7,7 +7,7 @@
 import waflib.Logs as Logs, waflib.Options as Options
 
 # Version of this package (even if built as a child)
-SUIL_VERSION       = '0.4.2'
+SUIL_VERSION       = '0.4.4'
 SUIL_MAJOR_VERSION = '0'
 
 # Library version (UNIX style major, minor, micro)
@@ -27,6 +27,9 @@
 
 def options(opt):
     autowaf.set_options(opt)
+    opt.add_option('--gtk2-lib-name', type='string', dest='gtk2_lib_name',
+                   default="libgtk-x11-2.0.so",
+                   help="Gtk2 library name [Default: libgtk-x11-2.0.so]")
 
 def configure(conf):
     conf.line_just = 56
@@ -54,13 +57,18 @@
                    conf.env['LIBDIR'] + '/suil-' + SUIL_MAJOR_VERSION)
     autowaf.define(conf, 'SUIL_DIR_SEP', '/')
     autowaf.define(conf, 'SUIL_MODULE_EXT', '.so')
+    autowaf.define(conf, 'SUIL_GTK2_LIB_NAME', Options.options.gtk2_lib_name);
 
     conf.env['LIB_SUIL'] = ['suil-%s' % SUIL_MAJOR_VERSION]
 
     conf.write_config_header('suil-config.h', remove=False)
 
-    autowaf.display_msg(conf, "Gtk2 Support", conf.is_defined('HAVE_GTK2'))
-    autowaf.display_msg(conf, "Qt4 Support", conf.is_defined('HAVE_QT4'))
+    autowaf.display_msg(conf, "Gtk2 Support",
+                        conf.is_defined('HAVE_GTK2'))
+    autowaf.display_msg(conf, "Gtk2 Library Name",
+                        conf.env['SUIL_GTK2_LIB_NAME'])
+    autowaf.display_msg(conf, "Qt4 Support",
+                        conf.is_defined('HAVE_QT4'))
     print('')
 
 def build(bld):

=== debian/changelog ===
suil (0.4.4-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Fix encoding.
  * Refresh patches.

 -- Alessio Treglia <alessio@debian.org>  Sun, 12 Jun 2011 12:58:58 +0200

suil (0.4.2-1) unstable; urgency=low

  * Initial release (Closes: #627905).

 -- Alessio Treglia <alessio@debian.org>  Thu, 26 May 2011 09:57:25 +0200

=== debian/control ===
Source: suil
Section: libs
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Alessio Treglia <alessio@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 libgtk2.0-dev,
 libqt4-dev,
 lv2core,
 lv2-extensions-good,
 pkg-config,
 python
Standards-Version: 3.9.2
Homepage: http://drobilla.net/software/suil/
Vcs-Git: git://git.debian.org/git/pkg-multimedia/suil.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/suil.git

Package: libsuil-dev
Section: libdevel
Architecture: all
Depends: libsuil-0-0 (>= ${source:Version}),
 libsuil-0-0 (<< ${source:Upstream-Version}+1~),
 ${misc:Depends}
Recommends: pkg-config
Description: Development files for suil
 Suil makes it possible to load a UI of any toolkit in a host using
 any other toolkit (assuming the toolkits are both supported by
 Suil). Hosts do not need to build against or link to foreign toolkit
 libraries to use UIs written with that toolkit (Suil performs its
 magic at runtime using dynamically loaded modules). The API
 is designed such that hosts do not need to explicitly support
 particular toolkits whatsoever - if Suil supports a particular
 toolkit, then all hosts that use Suil will support that toolkit
 "for free". Suil currently supports GTK-2+ and Qt4
 .
 This package provides the development files for suil.

Package: libsuil-0-0
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: library for loading and wrapping LV2 plugin UIs
 Suil makes it possible to load a UI of any toolkit in a host using
 any other toolkit (assuming the toolkits are both supported by
 Suil). Hosts do not need to build against or link to foreign toolkit
 libraries to use UIs written with that toolkit (Suil performs its
 magic at runtime using dynamically loaded modules). The API
 is designed such that hosts do not need to explicitly support
 particular toolkits whatsoever - if Suil supports a particular
 toolkit, then all hosts that use Suil will support that toolkit
 "for free". Suil currently supports GTK-2+ and Qt4
 .
 This package provides the shared library.

Package: suil-dbg
Architecture: any
Priority: extra
Section: debug
Depends: libsuil-0-0 (= ${binary:Version}),
 ${misc:Depends}
Description: Debugging symbols for suil
 Suil makes it possible to load a UI of any toolkit in a host using
 any other toolkit (assuming the toolkits are both supported by
 Suil). Hosts do not need to build against or link to foreign toolkit
 libraries to use UIs written with that toolkit (Suil performs its
 magic at runtime using dynamically loaded modules). The API
 is designed such that hosts do not need to explicitly support
 particular toolkits whatsoever - if Suil supports a particular
 toolkit, then all hosts that use Suil will support that toolkit
 "for free". Suil currently supports GTK-2+ and Qt4.
 .
 This package contains the debugging symbols for suil.

=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS+=-Wl,--as-needed
WAF = ./waf

%:
	dh $@

override_dh_auto_configure:
	$(WAF) configure \
		--prefix=/usr \
		--mandir=/usr/share/man \
                --strict \
		--debug

override_dh_auto_build:
	$(WAF)

override_dh_auto_clean:
	$(WAF) distclean
	rm -rf build .waf*
	dh_auto_clean

override_dh_auto_install:
	$(WAF) install --destdir=$(CURDIR)/debian/tmp

override_dh_strip:
	dh_strip --dbg-package=suil-dbg

=== debian/watch ===
version=3
http://download.drobilla.net/suil-(.*)\.tar\.bz2

## suil 0.4.4+dfsg0

=== debian/changelog ===
suil (0.4.4+dfsg0-1) unstable; urgency=low

  * Repack upstream tarball to get rid of the waf binary (Closes: #654505).
  * Adjust the clean target to properly clean the sources.

 -- Alessio Treglia <alessio@debian.org>  Tue, 10 Jan 2012 10:08:08 +0100

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,8 @@
 	$(WAF)
 
 override_dh_auto_clean:
-	$(WAF) distclean
+	$(WAF) clean || true
+	find -name "*.pyc" -delete
 	rm -rf build .waf*
 	dh_auto_clean

## suil 0.6.0~dfsg0

=== wscript ===
--- 
+++ 
@@ -7,7 +7,7 @@
 import waflib.Logs as Logs, waflib.Options as Options
 
 # Version of this package (even if built as a child)
-SUIL_VERSION       = '0.4.4'
+SUIL_VERSION       = '0.6.0'
 SUIL_MAJOR_VERSION = '0'
 
 # Library version (UNIX style major, minor, micro)
@@ -26,20 +26,23 @@
 out = 'build'
 
 def options(opt):
+    opt.load('compiler_c')
+    opt.load('compiler_cxx')
     autowaf.set_options(opt)
     opt.add_option('--gtk2-lib-name', type='string', dest='gtk2_lib_name',
                    default="libgtk-x11-2.0.so",
                    help="Gtk2 library name [Default: libgtk-x11-2.0.so]")
 
 def configure(conf):
-    conf.line_just = 56
+    conf.load('compiler_c')
+    conf.load('compiler_cxx')
+    conf.line_just = 46
     autowaf.configure(conf)
     autowaf.display_header('Suil Configuration')
 
-    conf.load('compiler_cc')
-    conf.env.append_value('CFLAGS', '-std=c99')
+    conf.env.append_unique('CFLAGS', '-std=c99')
 
-    autowaf.check_header(conf, 'lv2/lv2plug.in/ns/extensions/ui/ui.h')
+    autowaf.check_pkg(conf, 'lv2', atleast_version='1.0.0', uselib_store='LV2')
 
     autowaf.check_pkg(conf, 'gtk+-2.0', uselib_store='GTK2',
                       atleast_version='2.18.0', mandatory=False)
@@ -61,7 +64,7 @@
 
     conf.env['LIB_SUIL'] = ['suil-%s' % SUIL_MAJOR_VERSION]
 
-    conf.write_config_header('suil-config.h', remove=False)
+    conf.write_config_header('suil_config.h', remove=False)
 
     autowaf.display_msg(conf, "Gtk2 Support",
                         conf.is_defined('HAVE_GTK2'))
@@ -82,10 +85,10 @@
 
     cflags    = [ '-DSUIL_SHARED',
                   '-DSUIL_INTERNAL' ]
-    linkflags = []
+    lib = []
     if sys.platform != 'win32':
-        cflags    += [ '-fvisibility=hidden' ]
-        linkflags += [ '-ldl' ]
+        cflags += [ '-fvisibility=hidden' ]
+        lib    += [ 'dl' ]
 
     module_dir = '${LIBDIR}/suil-' + SUIL_MAJOR_VERSION
 
@@ -99,7 +102,8 @@
               vnum            = SUIL_LIB_VERSION,
               install_path    = '${LIBDIR}',
               cflags          = cflags,
-              linkflags       = linkflags)
+              lib             = lib,
+              uselib          = 'LV2')
 
     if bld.is_defined('HAVE_GTK2') and bld.is_defined('HAVE_QT4'):
         obj = bld(features     = 'cxx cxxshlib',
@@ -108,7 +112,7 @@
                   includes     = ['.'],
                   install_path = module_dir,
                   cflags       = cflags)
-        autowaf.use_lib(bld, obj, 'GTK2 QT4')
+        autowaf.use_lib(bld, obj, 'GTK2 QT4 LV2')
 
         obj = bld(features     = 'cxx cxxshlib',
                   source       = 'src/qt4_in_gtk2.cpp',
@@ -116,7 +120,25 @@
                   includes     = ['.'],
                   install_path = module_dir,
                   cflags       = cflags)
-        autowaf.use_lib(bld, obj, 'GTK2 QT4')
+        autowaf.use_lib(bld, obj, 'GTK2 QT4 LV2')
+
+    if bld.is_defined('HAVE_GTK2'):
+        obj = bld(features     = 'c cshlib',
+                  source       = 'src/x11_in_gtk2.c',
+                  target       = 'suil_x11_in_gtk2',
+                  includes     = ['.'],
+                  install_path = module_dir,
+                  cflags       = cflags)
+        autowaf.use_lib(bld, obj, 'GTK2 LV2')
+
+    if bld.is_defined('HAVE_QT4'):
+        obj = bld(features     = 'cxx cxxshlib',
+                  source       = 'src/x11_in_qt4.cpp',
+                  target       = 'suil_x11_in_qt4',
+                  includes     = ['.'],
+                  install_path = module_dir,
+                  cflags       = cflags)
+        autowaf.use_lib(bld, obj, 'QT4 LV2')
 
     # Documentation
     autowaf.build_dox(bld, 'SUIL', SUIL_VERSION, top, out)
@@ -137,9 +159,9 @@
         os.chdir(build_dir(ctx, 'doc/html'))
         os.system("sed -i 's/SUIL_API //' group__suil.html")
         os.system("sed -i 's/SUIL_DEPRECATED //' group__suil.html")
+        os.system("sed -i 's/href=\"doc\/style.css\"/href=\"style.css\"/' group__suil.html")
         os.remove('index.html')
-        os.symlink('group__suil.html',
-                   'index.html')
+        os.symlink('group__suil.html', 'index.html')
         os.chdir(top)
         os.chdir(build_dir(ctx, 'doc/man/man3'))
         os.system("sed -i 's/SUIL_API //' suil.3")

=== debian/changelog ===
suil (0.6.0~dfsg0-1) unstable; urgency=low

  * New upstream release.
  * Port to Multi-Arch.
  * Refresh patches.
  * Replace old LV2 build-deps with the newest lv2-dev.
  * Refresh symbols file.
  * debian/watch: Mangle dfsg suffix.
  * Update Vcs-* fields.
  * Update debian/copyright.
  * Bump dh requirement to 9.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Sat, 05 May 2012 02:27:22 +0200

=== debian/control ===
--- 
+++ 
@@ -2,26 +2,30 @@
 Section: libs
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-Uploaders: Alessio Treglia <alessio@debian.org>
-Build-Depends: debhelper (>= 7.0.50~),
+Uploaders:
+ Alessio Treglia <alessio@debian.org>
+Build-Depends:
+ debhelper (>= 9),
  libgtk2.0-dev,
  libqt4-dev,
- lv2core,
- lv2-extensions-good,
+ lv2-dev,
  pkg-config,
  python
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://drobilla.net/software/suil/
-Vcs-Git: git://git.debian.org/git/pkg-multimedia/suil.git
-Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/suil.git
+Vcs-Git: git://anonscm.debian.org/pkg-multimedia/suil.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/suil.git
 
 Package: libsuil-dev
 Section: libdevel
-Architecture: all
-Depends: libsuil-0-0 (>= ${source:Version}),
+Architecture: any
+Depends:
  libsuil-0-0 (<< ${source:Upstream-Version}+1~),
+ libsuil-0-0 (>= ${source:Version}),
  ${misc:Depends}
-Recommends: pkg-config
+Recommends:
+ pkg-config
+Multi-Arch: same
 Description: Development files for suil
  Suil makes it possible to load a UI of any toolkit in a host using
  any other toolkit (assuming the toolkits are both supported by
@@ -37,8 +41,11 @@
 
 Package: libsuil-0-0
 Architecture: any
-Depends: ${shlibs:Depends},
- ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
+Multi-Arch: same
 Description: library for loading and wrapping LV2 plugin UIs
  Suil makes it possible to load a UI of any toolkit in a host using
  any other toolkit (assuming the toolkits are both supported by
@@ -56,7 +63,8 @@
 Architecture: any
 Priority: extra
 Section: debug
-Depends: libsuil-0-0 (= ${binary:Version}),
+Depends:
+ libsuil-0-0 (= ${binary:Version}),
  ${misc:Depends}
 Description: Debugging symbols for suil
  Suil makes it possible to load a UI of any toolkit in a host using

## suil 0.6.2~dfsg0

=== debian/changelog ===
suil (0.6.2~dfsg0-1) unstable; urgency=low

  * New upstream bugfix release.
  * Fix libsuil-dev's Depends field.

 -- Alessio Treglia <alessio@debian.org>  Wed, 06 Jun 2012 11:54:41 +0200

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,6 @@
 #!/usr/bin/make -f
 
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 LDFLAGS+=-Wl,--as-needed
 WAF = ./waf
 
@@ -10,6 +11,7 @@
 	$(WAF) configure \
 		--prefix=/usr \
 		--mandir=/usr/share/man \
+		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
                 --strict \
 		--debug

## suil 0.6.4~dfsg0

=== wscript ===
--- 
+++ 
@@ -7,7 +7,7 @@
 import waflib.Logs as Logs, waflib.Options as Options
 
 # Version of this package (even if built as a child)
-SUIL_VERSION       = '0.6.0'
+SUIL_VERSION       = '0.6.4'
 SUIL_MAJOR_VERSION = '0'
 
 # Library version (UNIX style major, minor, micro)
@@ -36,7 +36,7 @@
 def configure(conf):
     conf.load('compiler_c')
     conf.load('compiler_cxx')
-    conf.line_just = 46
+    conf.line_just = 40
     autowaf.configure(conf)
     autowaf.display_header('Suil Configuration')
 
@@ -54,6 +54,12 @@
 
     autowaf.check_pkg(conf, 'QtGui', uselib_store='QT4',
                       atleast_version='4.0.0', mandatory=False)
+
+    conf.env['NODELETE_FLAGS'] = []
+    if conf.check(linkflags = ['-Wl,-z,nodelete'],
+                  msg       = 'Checking for link flags -Wl,-z,-nodelete',
+                  mandatory = False):
+        conf.env['NODELETE_FLAGS'] = ['-Wl,-z,nodelete']
 
     autowaf.define(conf, 'SUIL_VERSION', SUIL_VERSION)
     autowaf.define(conf, 'SUIL_MODULE_DIR',
@@ -83,9 +89,8 @@
     autowaf.build_pc(bld, 'SUIL', SUIL_VERSION, SUIL_MAJOR_VERSION, [],
                      {'SUIL_MAJOR_VERSION' : SUIL_MAJOR_VERSION})
 
-    cflags    = [ '-DSUIL_SHARED',
-                  '-DSUIL_INTERNAL' ]
-    lib = []
+    cflags = [ '-DSUIL_SHARED', '-DSUIL_INTERNAL' ]
+    lib    = []
     if sys.platform != 'win32':
         cflags += [ '-fvisibility=hidden' ]
         lib    += [ 'dl' ]
@@ -119,7 +124,8 @@
                   target       = 'suil_qt4_in_gtk2',
                   includes     = ['.'],
                   install_path = module_dir,
-                  cflags       = cflags)
+                  cflags       = cflags,
+                  linkflags    = bld.env['NODELETE_FLAGS'])
         autowaf.use_lib(bld, obj, 'GTK2 QT4 LV2')
 
     if bld.is_defined('HAVE_GTK2'):
@@ -128,7 +134,8 @@
                   target       = 'suil_x11_in_gtk2',
                   includes     = ['.'],
                   install_path = module_dir,
-                  cflags       = cflags)
+                  cflags       = cflags,
+                  linkflags    = bld.env['NODELETE_FLAGS'])
         autowaf.use_lib(bld, obj, 'GTK2 LV2')
 
     if bld.is_defined('HAVE_QT4'):
@@ -147,27 +154,9 @@
     if bld.env['DOCS']:
         bld.add_post_fun(fix_docs)
 
-def build_dir(ctx, subdir):
-    if autowaf.is_child():
-        return os.path.join('build', APPNAME, subdir)
-    else:
-        return os.path.join('build', subdir)
-
 def fix_docs(ctx):
-    try:
-        top = os.getcwd()
-        os.chdir(build_dir(ctx, 'doc/html'))
-        os.system("sed -i 's/SUIL_API //' group__suil.html")
-        os.system("sed -i 's/SUIL_DEPRECATED //' group__suil.html")
-        os.system("sed -i 's/href=\"doc\/style.css\"/href=\"style.css\"/' group__suil.html")
-        os.remove('index.html')
-        os.symlink('group__suil.html', 'index.html')
-        os.chdir(top)
-        os.chdir(build_dir(ctx, 'doc/man/man3'))
-        os.system("sed -i 's/SUIL_API //' suil.3")
-        os.chdir(top)
-    except:
-        Logs.error("Failed to fix up %s documentation" % APPNAME)
+    if ctx.cmd == 'build':
+        autowaf.make_simple_dox(APPNAME)
 
 def upload_docs(ctx):
     os.system("rsync -ravz --delete -e ssh build/doc/html/ drobilla@drobilla.net:~/drobilla.net/docs/suil/")

=== debian/changelog ===
suil (0.6.4~dfsg0-3) unstable; urgency=low

  * Pass --gtk2-lib-name="libgtk-x11-2.0.so.0" to configure to avoid
    adding the dependency on libgtk2.0-dev. Thanks to Filipe Lopes for
    pointing out this. (really closes: #682138)

 -- Alessio Treglia <alessio@debian.org>  Thu, 23 Aug 2012 15:35:43 +0200

suil (0.6.4~dfsg0-2) unstable; urgency=low

  * Install missing Gtk/Qt4 modules. (Closes: #682138)

 -- Alessio Treglia <alessio@debian.org>  Sat, 18 Aug 2012 15:49:24 +0200

suil (0.6.4~dfsg0-1) unstable; urgency=low

  * New upstream bugfix release:
    - Correctly handle resizing for GTK+2 in Qt4.
    - Small improvements to the documentation.
  * Remove 1001-dont_run_ldconfig.patch, not unnecessary thanks to the
    improvements to the buildsystem.

 -- Alessio Treglia <alessio@debian.org>  Tue, 10 Jul 2012 15:41:24 +0200

=== debian/control ===
--- 
+++ 
@@ -20,8 +20,7 @@
 Section: libdevel
 Architecture: any
 Depends:
- libsuil-0-0 (<< ${source:Upstream-Version}+1~),
- libsuil-0-0 (>= ${source:Version}),
+ libsuil-0-0 (= ${binary:Version}),
  ${misc:Depends}
 Recommends:
  pkg-config

=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,7 @@
 		--prefix=/usr \
 		--mandir=/usr/share/man \
 		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
+		--gtk2-lib-name="libgtk-x11-2.0.so.0" \
                 --strict \
 		--debug

## suil 0.6.6~dfsg0

=== debian/changelog ===
suil (0.6.6~dfsg0-1) experimental; urgency=low

  * Imported Upstream version 0.6.6~dfsg0
  * Add automated mechanism to repack the tarball.

 -- Alessio Treglia <alessio@debian.org>  Thu, 22 Nov 2012 02:00:34 +0000

## suil 0.6.10~dfsg0

=== wscript ===
#!/usr/bin/env python
import os
import subprocess
import sys
import waflib.Options as Options
import waflib.extras.autowaf as autowaf

# Library and package version (UNIX style major, minor, micro)
# major increment <=> incompatible changes
# minor increment <=> compatible changes (additions)
# micro increment <=> no interface changes
SUIL_VERSION       = '0.6.10'
SUIL_MAJOR_VERSION = '0'

# Mandatory waf variables
APPNAME = 'suil'        # Package name for waf dist
VERSION = SUIL_VERSION  # Package version for waf dist
top     = '.'           # Source directory
out     = 'build'       # Build directory

def options(opt):
    opt.load('compiler_c')
    opt.load('compiler_cxx')
    autowaf.set_options(opt)
    opt.add_option('--static', action='store_true', dest='static',
                   help="Build static library")
    opt.add_option('--no-shared', action='store_true', dest='no_shared',
                   help='Do not build shared library')
    opt.add_option('--gtk2-lib-name', type='string', dest='gtk2_lib_name',
                   default="libgtk-x11-2.0.so.0",
                   help="Gtk2 library name [Default: libgtk-x11-2.0.so.0]")

def configure(conf):
    conf.load('compiler_c')
    conf.load('compiler_cxx')
    conf.line_just = 40
    autowaf.configure(conf)
    autowaf.set_c99_mode(conf)
    autowaf.display_header('Suil Configuration')

    conf.env.BUILD_SHARED = not Options.options.no_shared
    conf.env.BUILD_STATIC = Options.options.static

    if not conf.env.BUILD_SHARED and not conf.env.BUILD_STATIC:
        conf.fatal('Neither a shared nor a static build requested')

    conf.env.NODELETE_FLAGS = []
    if (not conf.env.MSVC_COMPILER and
        conf.check(linkflags = ['-Wl,-z,nodelete'],
                   msg       = 'Checking for link flags -Wl,-z,-nodelete',
                   mandatory = False)):
        conf.env.NODELETE_FLAGS = ['-Wl,-z,nodelete']

    autowaf.check_pkg(conf, 'lv2', atleast_version='1.0.0', uselib_store='LV2')

    autowaf.check_pkg(conf, 'gtk+-2.0', uselib_store='GTK2',
                      atleast_version='2.18.0', mandatory=False)
    if not conf.is_defined('HAVE_GTK2'):
        autowaf.check_pkg(conf, 'gtk+-2.0', uselib_store='GTK2',
                          atleast_version='2.0.0', mandatory=False)
        if conf.is_defined('HAVE_GTK2'):
            autowaf.define(conf, 'SUIL_OLD_GTK', 1)

    autowaf.check_pkg(conf, 'gtk+-x11-2.0', uselib_store='GTK2_X11',
                      atleast_version='2.0.0', mandatory=False)

    autowaf.check_pkg(conf, 'QtGui', uselib_store='QT4',
                      atleast_version='4.0.0', mandatory=False)

    autowaf.define(conf, 'SUIL_VERSION', SUIL_VERSION)
    autowaf.define(conf, 'SUIL_MODULE_DIR',
                   conf.env.LIBDIR + '/suil-' + SUIL_MAJOR_VERSION)
    autowaf.define(conf, 'SUIL_DIR_SEP', '/')
    autowaf.define(conf, 'SUIL_GTK2_LIB_NAME', Options.options.gtk2_lib_name);

    module_prefix = ''
    module_ext    = ''
    if conf.env.PARDEBUG:
        module_ext += 'D'
    if Options.platform == 'win32':
        module_ext += '.dll'
    else:
        module_prefix = 'lib'
        module_ext += '.so'

    autowaf.define(conf, 'SUIL_MODULE_PREFIX', module_prefix)
    autowaf.define(conf, 'SUIL_MODULE_EXT', module_ext)

    autowaf.set_lib_env(conf, 'suil', SUIL_VERSION)
    conf.write_config_header('suil_config.h', remove=False)

    autowaf.display_msg(conf, "Gtk2 Support",
                        conf.is_defined('HAVE_GTK2'))
    autowaf.display_msg(conf, "Gtk2 Library Name",
                        conf.env.SUIL_GTK2_LIB_NAME)
    autowaf.display_msg(conf, "Qt4 Support",
                        conf.is_defined('HAVE_QT4'))
    print('')

def build(bld):
    # C Headers
    includedir = '${INCLUDEDIR}/suil-%s/suil' % SUIL_MAJOR_VERSION
    bld.install_files(includedir, bld.path.ant_glob('suil/*.h'))

    # Pkgconfig file
    autowaf.build_pc(bld, 'SUIL', SUIL_VERSION, SUIL_MAJOR_VERSION, [],
                     {'SUIL_MAJOR_VERSION' : SUIL_MAJOR_VERSION})

    cflags = []
    lib    = []
    modlib = []
    if sys.platform == 'win32':
        modlib += ['user32']
    else:
        cflags += ['-fvisibility=hidden']
        lib    += ['dl']

    module_dir = '${LIBDIR}/suil-' + SUIL_MAJOR_VERSION

    # Shared Library
    if bld.env.BUILD_SHARED:
        obj = bld(features        = 'c cshlib',
                  export_includes = ['.'],
                  source          = 'src/host.c src/instance.c',
                  target          = 'suil-%s' % SUIL_MAJOR_VERSION,
                  includes        = ['.'],
                  defines         = ['SUIL_SHARED', 'SUIL_INTERNAL'],
                  name            = 'libsuil',
                  vnum            = SUIL_VERSION,
                  install_path    = '${LIBDIR}',
                  cflags          = cflags,
                  lib             = lib,
                  uselib          = 'LV2')

    # Static library
    if bld.env.BUILD_STATIC:
        obj = bld(features        = 'c cstlib',
                  export_includes = ['.'],
                  source          = 'src/host.c src/instance.c',
                  target          = 'suil-%s' % SUIL_MAJOR_VERSION,
                  includes        = ['.'],
                  defines         = ['SUIL_INTERNAL'],
                  name            = 'libsuil_static',
                  vnum            = SUIL_VERSION,
                  install_path    = '${LIBDIR}',
                  cflags          = cflags,
                  lib             = lib,
                  uselib          = 'LV2')

    if bld.is_defined('HAVE_GTK2') and bld.is_defined('HAVE_QT4'):
        obj = bld(features     = 'cxx cxxshlib',
                  source       = 'src/gtk2_in_qt4.cpp',
                  target       = 'suil_gtk2_in_qt4',
                  includes     = ['.'],
                  defines      = ['SUIL_SHARED', 'SUIL_INTERNAL'],
                  install_path = module_dir,
                  cflags       = cflags,
                  lib          = modlib)
        autowaf.use_lib(bld, obj, 'GTK2 QT4 LV2')

        obj = bld(features     = 'cxx cxxshlib',
                  source       = 'src/qt4_in_gtk2.cpp',
                  target       = 'suil_qt4_in_gtk2',
                  includes     = ['.'],
                  defines      = ['SUIL_SHARED', 'SUIL_INTERNAL'],
                  install_path = module_dir,
                  cflags       = cflags,
                  lib          = modlib,
                  linkflags    = bld.env.NODELETE_FLAGS)
        autowaf.use_lib(bld, obj, 'GTK2 QT4 LV2')

    if bld.is_defined('HAVE_GTK2') and bld.is_defined('HAVE_GTK2_X11'):
        obj = bld(features     = 'c cshlib',
                  source       = 'src/x11_in_gtk2.c',
                  target       = 'suil_x11_in_gtk2',
                  includes     = ['.'],
                  defines      = ['SUIL_SHARED', 'SUIL_INTERNAL'],
                  install_path = module_dir,
                  cflags       = cflags,
                  lib          = modlib,
                  linkflags    = bld.env.NODELETE_FLAGS)
        autowaf.use_lib(bld, obj, 'GTK2 GTK2_X11 LV2')

    if bld.is_defined('HAVE_GTK2') and sys.platform == 'win32':
        obj = bld(features     = 'cxx cxxshlib',
                  source       = 'src/win_in_gtk2.cpp',
                  target       = 'suil_win_in_gtk2',
                  includes     = ['.'],
                  defines      = ['SUIL_SHARED', 'SUIL_INTERNAL'],
                  install_path = module_dir,
                  cflags       = cflags,
                  lib          = modlib,
                  linkflags    = bld.env.NODELETE_FLAGS)
        autowaf.use_lib(bld, obj, 'GTK2 LV2')

    if bld.is_defined('HAVE_QT4'):
        obj = bld(features     = 'cxx cxxshlib',
                  source       = 'src/x11_in_qt4.cpp',
                  target       = 'suil_x11_in_qt4',
                  includes     = ['.'],
                  defines      = ['SUIL_SHARED', 'SUIL_INTERNAL'],
                  install_path = module_dir,
                  cflags       = cflags,
                  lib          = modlib)
        autowaf.use_lib(bld, obj, 'QT4 LV2')

    # Documentation
    autowaf.build_dox(bld, 'SUIL', SUIL_VERSION, top, out)

    bld.add_post_fun(autowaf.run_ldconfig)
    if bld.env.DOCS:
        bld.add_post_fun(fix_docs)

def fix_docs(ctx):
    if ctx.cmd == 'build':
        autowaf.make_simple_dox(APPNAME)

def upload_docs(ctx):
    os.system("rsync -ravz --delete -e ssh build/doc/html/ drobilla@drobilla.net:~/drobilla.net/docs/suil/")

def lint(ctx):
    subprocess.call('cpplint.py --filter=-whitespace,+whitespace/comments,-build/header_guard,-readability/casting,-readability/todo src/* suil/*', shell=True)

=== debian/changelog ===
suil (0.6.10~dfsg0-1) experimental; urgency=low

  * New upstream release.

 -- Alessio Treglia <alessio@debian.org>  Sat, 29 Dec 2012 16:01:10 +0000

## suil 0.6.12~dfsg0

=== wscript ===
--- 
+++ 
@@ -9,7 +9,7 @@
 # major increment <=> incompatible changes
 # minor increment <=> compatible changes (additions)
 # micro increment <=> no interface changes
-SUIL_VERSION       = '0.6.10'
+SUIL_VERSION       = '0.6.12'
 SUIL_MAJOR_VERSION = '0'
 
 # Mandatory waf variables
@@ -67,6 +67,10 @@
     autowaf.check_pkg(conf, 'QtGui', uselib_store='QT4',
                       atleast_version='4.0.0', mandatory=False)
 
+    conf.check_cc(define_name   = 'HAVE_LIBDL',
+                  lib           = 'dl',
+                  mandatory     = False)
+
     autowaf.define(conf, 'SUIL_VERSION', SUIL_VERSION)
     autowaf.define(conf, 'SUIL_MODULE_DIR',
                    conf.env.LIBDIR + '/suil-' + SUIL_MAJOR_VERSION)
@@ -113,7 +117,8 @@
         modlib += ['user32']
     else:
         cflags += ['-fvisibility=hidden']
-        lib    += ['dl']
+        if bld.is_defined('HAVE_LIBDL'):
+            lib += ['dl']
 
     module_dir = '${LIBDIR}/suil-' + SUIL_MAJOR_VERSION

=== debian/changelog ===
suil (0.6.12~dfsg0-2) unstable; urgency=low

  * Upload to unstable.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Wed, 08 May 2013 08:18:06 +0200

suil (0.6.12~dfsg0-1) experimental; urgency=low

  * New upstream release.

 -- Alessio Treglia <alessio@debian.org>  Mon, 11 Mar 2013 02:22:09 +0000

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  lv2-dev,
  pkg-config,
  python
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://drobilla.net/software/suil/
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/suil.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/suil.git

## suil 0.6.16~dfsg0

=== wscript ===
--- 
+++ 
@@ -9,7 +9,7 @@
 # major increment <=> incompatible changes
 # minor increment <=> compatible changes (additions)
 # micro increment <=> no interface changes
-SUIL_VERSION       = '0.6.12'
+SUIL_VERSION       = '0.6.16'
 SUIL_MAJOR_VERSION = '0'
 
 # Mandatory waf variables
@@ -52,6 +52,8 @@
         conf.env.NODELETE_FLAGS = ['-Wl,-z,nodelete']
 
     autowaf.check_pkg(conf, 'lv2', atleast_version='1.0.0', uselib_store='LV2')
+    autowaf.check_pkg(conf, 'lv2', atleast_version='1.6.0',
+                      uselib_store='LV2_1_6_0', mandatory=False)
 
     autowaf.check_pkg(conf, 'gtk+-2.0', uselib_store='GTK2',
                       atleast_version='2.18.0', mandatory=False)
@@ -184,7 +186,7 @@
                   cflags       = cflags,
                   lib          = modlib,
                   linkflags    = bld.env.NODELETE_FLAGS)
-        autowaf.use_lib(bld, obj, 'GTK2 GTK2_X11 LV2')
+        autowaf.use_lib(bld, obj, 'GTK2 GTK2_X11 LV2 LV2_1_4_3')
 
     if bld.is_defined('HAVE_GTK2') and sys.platform == 'win32':
         obj = bld(features     = 'cxx cxxshlib',
@@ -207,7 +209,7 @@
                   install_path = module_dir,
                   cflags       = cflags,
                   lib          = modlib)
-        autowaf.use_lib(bld, obj, 'QT4 LV2')
+        autowaf.use_lib(bld, obj, 'QT4 LV2 LV2_1_4_3')
 
     # Documentation
     autowaf.build_dox(bld, 'SUIL', SUIL_VERSION, top, out)

=== debian/changelog ===
suil (0.6.16~dfsg0-1) unstable; urgency=low

  * New upstream release.

 -- Alessio Treglia <alessio@debian.org>  Thu, 03 Oct 2013 17:08:40 +0100

suil (0.6.14~dfsg0-1) unstable; urgency=low

  [ Jaromír Mikeš ]
  * Added myself as uploader

  [ Alessio Treglia ]
  * New upstream release.
  * Update debian/copyright.
  * Multiarchify the -DBG package.

 -- Alessio Treglia <alessio@debian.org>  Thu, 29 Aug 2013 17:29:14 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
- Alessio Treglia <alessio@debian.org>
+ Alessio Treglia <alessio@debian.org>,
+ Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
  debhelper (>= 9),
  libgtk2.0-dev,
@@ -62,6 +63,7 @@
 Architecture: any
 Priority: extra
 Section: debug
+Multi-Arch: same
 Depends:
  libsuil-0-0 (= ${binary:Version}),
  ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,8 @@
 #!/usr/bin/make -f
+
+upstream_version ?= $(shell dpkg-parsechangelog | sed -rne 's/^Version: ([0-9.]+)(\+dfsg\d+)?.*$$/\1/p')
+dfsg_version = $(upstream_version)~dfsg0
+pkg = $(shell dpkg-parsechangelog | sed -ne 's/^Source: //p')
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 LDFLAGS+=-Wl,--as-needed
@@ -30,3 +34,18 @@
 
 override_dh_strip:
 	dh_strip --dbg-package=suil-dbg
+
+# get-orig-source to drop waf
+get-orig-source:
+	uscan --noconf --force-download --rename --download-current-version --destdir=.
+	tar -xf $(pkg)_$(upstream_version).orig.tar.bz2
+	mv $(pkg)-$(upstream_version) $(pkg)-$(dfsg_version)
+	cd $(pkg)-$(dfsg_version) ; python waf --help > /dev/null
+	mv $(pkg)-$(dfsg_version)/.waf-*/* $(pkg)-$(dfsg_version)
+	sed -i '/^#==>$$/,$$d' $(pkg)-$(dfsg_version)/waf
+	rmdir $(pkg)-$(dfsg_version)/.waf-*
+	find $(pkg)-$(dfsg_version)/ -name '*.pyc' -delete
+	tar cf $(pkg)_$(dfsg_version).orig.tar $(pkg)-$(dfsg_version)
+	xz -9fz $(pkg)_$(dfsg_version).orig.tar
+	rm -rf $(pkg)-$(dfsg_version)
+

## suil 0.8.0~dfsg0

=== wscript ===
--- 
+++ 
@@ -9,7 +9,7 @@
 # major increment <=> incompatible changes
 # minor increment <=> compatible changes (additions)
 # micro increment <=> no interface changes
-SUIL_VERSION       = '0.6.16'
+SUIL_VERSION       = '0.8.0'
 SUIL_MAJOR_VERSION = '0'
 
 # Mandatory waf variables
@@ -31,9 +31,9 @@
                    help="Gtk2 library name [Default: libgtk-x11-2.0.so.0]")
 
 def configure(conf):
+    conf.line_just = 40
     conf.load('compiler_c')
     conf.load('compiler_cxx')
-    conf.line_just = 40
     autowaf.configure(conf)
     autowaf.set_c99_mode(conf)
     autowaf.display_header('Suil Configuration')

=== debian/changelog ===
suil (0.8.0~dfsg0-1) unstable; urgency=low

  * New upstream release.
  * Switch to bz2.
  * Install NEWS file as upstream changelog.
  * Update symbols file.
  * Bump Standards.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sat, 03 May 2014 13:24:32 +0100

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,9 @@
 
 %:
 	dh $@
+
+override_dh_installchangelogs:
+	dh_installchangelogs NEWS
 
 override_dh_auto_configure:
 	$(WAF) configure \

## suil 0.8.2~dfsg0

=== wscript ===
--- 
+++ 
@@ -9,7 +9,7 @@
 # major increment <=> incompatible changes
 # minor increment <=> compatible changes (additions)
 # micro increment <=> no interface changes
-SUIL_VERSION       = '0.8.0'
+SUIL_VERSION       = '0.8.2'
 SUIL_MAJOR_VERSION = '0'
 
 # Mandatory waf variables
@@ -26,6 +26,10 @@
                    help="Build static library")
     opt.add_option('--no-shared', action='store_true', dest='no_shared',
                    help='Do not build shared library')
+    opt.add_option('--no-gtk', action='store_true', dest='no_gtk',
+                   help='Do not build support for Gtk')
+    opt.add_option('--no-qt', action='store_true', dest='no_qt',
+                   help='Do not build support for Qt')
     opt.add_option('--gtk2-lib-name', type='string', dest='gtk2_lib_name',
                    default="libgtk-x11-2.0.so.0",
                    help="Gtk2 library name [Default: libgtk-x11-2.0.so.0]")
@@ -55,19 +59,21 @@
     autowaf.check_pkg(conf, 'lv2', atleast_version='1.6.0',
                       uselib_store='LV2_1_6_0', mandatory=False)
 
-    autowaf.check_pkg(conf, 'gtk+-2.0', uselib_store='GTK2',
-                      atleast_version='2.18.0', mandatory=False)
-    if not conf.is_defined('HAVE_GTK2'):
+    if not Options.options.no_gtk:
         autowaf.check_pkg(conf, 'gtk+-2.0', uselib_store='GTK2',
+                          atleast_version='2.18.0', mandatory=False)
+        if not conf.is_defined('HAVE_GTK2'):
+            autowaf.check_pkg(conf, 'gtk+-2.0', uselib_store='GTK2',
+                              atleast_version='2.0.0', mandatory=False)
+            if conf.is_defined('HAVE_GTK2'):
+                autowaf.define(conf, 'SUIL_OLD_GTK', 1)
+
+        autowaf.check_pkg(conf, 'gtk+-x11-2.0', uselib_store='GTK2_X11',
                           atleast_version='2.0.0', mandatory=False)
-        if conf.is_defined('HAVE_GTK2'):
-            autowaf.define(conf, 'SUIL_OLD_GTK', 1)
-
-    autowaf.check_pkg(conf, 'gtk+-x11-2.0', uselib_store='GTK2_X11',
-                      atleast_version='2.0.0', mandatory=False)
-
-    autowaf.check_pkg(conf, 'QtGui', uselib_store='QT4',
-                      atleast_version='4.0.0', mandatory=False)
+
+    if not Options.options.no_qt:
+        autowaf.check_pkg(conf, 'QtGui', uselib_store='QT4',
+                          atleast_version='4.0.0', mandatory=False)
 
     conf.check_cc(define_name   = 'HAVE_LIBDL',
                   lib           = 'dl',
@@ -97,8 +103,9 @@
 
     autowaf.display_msg(conf, "Gtk2 Support",
                         conf.is_defined('HAVE_GTK2'))
-    autowaf.display_msg(conf, "Gtk2 Library Name",
-                        conf.env.SUIL_GTK2_LIB_NAME)
+    if conf.is_defined('HAVE_GTK2'):
+        autowaf.display_msg(conf, "Gtk2 Library Name",
+                            conf.env.SUIL_GTK2_LIB_NAME)
     autowaf.display_msg(conf, "Qt4 Support",
                         conf.is_defined('HAVE_QT4'))
     print('')

=== debian/changelog ===
suil (0.8.2~dfsg0-1) unstable; urgency=medium

  * New upstream release.
  * Tuned get-orig-source.
  * Removed old repack scripts.
  * Compression xz.
  * Remove --debug from configure to cppflags be passed.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Fri, 15 Aug 2014 16:26:15 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  lv2-dev,
  pkg-config,
  python
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://drobilla.net/software/suil/
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/suil.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/suil.git

=== debian/rules ===
--- 
+++ 
@@ -20,8 +20,7 @@
 		--mandir=/usr/share/man \
 		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
 		--gtk2-lib-name="libgtk-x11-2.0.so.0" \
-                --strict \
-		--debug
+                --strict
 
 override_dh_auto_build:
 	$(WAF)
@@ -51,4 +50,6 @@
 	tar cf $(pkg)_$(dfsg_version).orig.tar $(pkg)-$(dfsg_version)
 	xz -9fz $(pkg)_$(dfsg_version).orig.tar
 	rm -rf $(pkg)-$(dfsg_version)
-
+	mv $(pkg)_$(dfsg_version).orig.tar.xz ../$(pkg)_$(dfsg_version).orig.tar.xz
+	mv $(pkg)_$(upstream_version).orig.tar.bz2 ../$(pkg)_$(upstream_version).orig.tar.bz2
+	rm $(pkg)_$(dfsg_version).orig.tar.bz2

=== debian/watch ===
version=3
opts="uversionmangle=s/-/./,dversionmangle=s/~dfsg.*//" \
http://download.drobilla.net/suil-(.*)\.tar\.bz2 \
	debian sh debian/repack.stub
